24 lines
853 B
Diff
24 lines
853 B
Diff
|
From 3a4a212649bd89f5a07ccf87a53b3103094748a3 Mon Sep 17 00:00:00 2001
|
||
|
From: Harald Hoyer <harald@redhat.com>
|
||
|
Date: Mon, 20 Apr 2020 15:07:02 +0200
|
||
|
Subject: [PATCH] systemd: skip dependency add for non-existent units
|
||
|
|
||
|
Fixes: https://github.com/dracutdevs/dracut/issues/795
|
||
|
---
|
||
|
modules.d/00systemd/module-setup.sh | 1 +
|
||
|
1 file changed, 1 insertion(+)
|
||
|
|
||
|
diff --git a/modules.d/00systemd/module-setup.sh b/modules.d/00systemd/module-setup.sh
|
||
|
index 5ebdfc30..17be74fd 100755
|
||
|
--- a/modules.d/00systemd/module-setup.sh
|
||
|
+++ b/modules.d/00systemd/module-setup.sh
|
||
|
@@ -241,6 +241,7 @@ install() {
|
||
|
systemd-ask-password-console.service \
|
||
|
systemd-ask-password-plymouth.service \
|
||
|
; do
|
||
|
+ [[ -f $systemdsystemunitdir/$i ]] || continue
|
||
|
systemctl -q --root "$initdir" add-wants "$i" systemd-vconsole-setup.service
|
||
|
done
|
||
|
|
||
|
|